From c2c58bb5fe8bda5e33df910d3a9c8422993af9a6 Mon Sep 17 00:00:00 2001
From: Tails developers <tails@boum.org>
Date: Mon, 2 Jun 2014 00:24:28 +0200
Subject: [PATCH 1/9] Fix about dialog logo leak

---
 src/applet.c | 2 ++
 1 file changed, 2 insertions(+)

diff --git a/src/applet.c b/src/applet.c
index d0a61ff..6200c67 100644
--- a/src/applet.c
+++ b/src/applet.c
@@ -185,6 +185,8 @@ static void display_about_dialog (
     char *logo_filename = g_build_filename (WINDOW_PICKER_MENU_UI_DIR, "window-picker-about-logo.png", NULL);
     GdkPixbuf* logo = gdk_pixbuf_new_from_file(logo_filename, NULL);
     gtk_about_dialog_set_logo (GTK_ABOUT_DIALOG(panel_about_dialog), logo);
+    if (logo)
+        g_object_unref (logo);
     gtk_widget_show (panel_about_dialog);
     g_signal_connect (panel_about_dialog, "response",
         G_CALLBACK (gtk_widget_destroy), NULL);
-- 
2.0.0.rc4

